> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# debug_traceCall | Plasma

> Plasma API method that runs an eth_call within the context of the given block execution and returns trace results. Plasma via Chainstack.

Plasma API method that runs an eth\_call within the context of the given block execution and returns trace results.

## Parameters

* `object` — the transaction call object
* `quantity or tag` — the block number in hex format or block tag (`latest`, `earliest`, `pending`, `safe`, `finalized`)
* `object` — (optional) tracer configuration options

## Response

* `object` — the trace result

## `debug_traceCall` code examples

<CodeGroup>
  ```javascript ethers.js theme={"system"}
  const { JsonRpcProvider } = require("ethers");

  const provider = new JsonRpcProvider("CHAINSTACK_NODE_URL");

  async function call() {
    const result = await provider.send("debug_traceCall", [
      {
        to: "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
        data: "0x"
      },
      "latest"
    ]);
    console.log(result);
  }

  call();
  ```

  ```python web3.py theme={"system"}
  from web3 import Web3

  node_url = "CHAINSTACK_NODE_URL"
  web3 = Web3(Web3.HTTPProvider(node_url))

  # Make the call
  # Add your parameters here
  # result = web3.eth.<method_name>(...)
  print(result)
  ```

  ```shell cURL theme={"system"}
  curl -X POST "CHAINSTACK_NODE_URL" \
    -H "Content-Type: application/json" \
    --data '{
      "jsonrpc": "2.0",
      "method": "debug_traceCall",
      "params": [],
      "id": 1
    }'
  ```
</CodeGroup>


## OpenAPI

````yaml openapi/plasma_node_api/debug_and_trace/debug_traceCall.json POST /be84184cd12967be5a65d06651c60085
openapi: 3.0.0
info:
  title: Chainstack Node API
  version: 1.0.0
  description: This is an API for interacting with a Chainstack node.
servers:
  - url: https://plasma-mainnet.core.chainstack.com
security: []
paths:
  /be84184cd12967be5a65d06651c60085:
    post:
      tags:
        - upload
      summary: debug_traceCall
      operationId: debugTraceCall
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: debug_traceCall
                params:
                  type: array
                  items:
                    anyOf:
                      - type: object
                        title: Transaction
                        description: The transaction call object.
                      - type: string
                        title: Block
                        description: Block number or tag (latest, earliest, pending).
                  default:
                    - to: '0x0000000000000000000000000000000000000000'
                    - latest
      responses:
        '200':
          description: >-
            Runs an eth_call within the context of the given block execution and
            returns trace results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: object
                    nullable: true

````